# -*- coding: utf-8 -*-

from odoo import models, fields, api


class TaxYearlyRateLine(models.Model):
    _name = 'tax.yearly.rate.line'
    _description = 'Tax Yearly Rate Line'
    _order = 'id'

    # === Relational Fields ===
    tax_id = fields.Many2one(
        'tax.yearly.rates',
        string='Tax',
        ondelete='cascade',
    )

    # === Tax Bracket Fields ===
    tax_bracket = fields.Float(string='Tax Bracket')
    tax_rate = fields.Float(string='Tax Rate')
    tax_constant = fields.Float(string='Tax Constant')
